Bug 1555163 (CVE-2018-7730) - CVE-2018-7730 exempi: Heap-based buffer overflow in PSD_MetaHandler::CacheFileData function in XMPFiles/source/FormatSupport/PSIR_FileWriter.cpp allows for denial of service via crafted XLS file
Summary: CVE-2018-7730 exempi: Heap-based buffer overflow in PSD_MetaHandler::CacheFil...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-7730
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1555156 1555169 1572630 1572631
Blocks: 1555158
TreeView+ depends on / blocked
 
Reported: 2018-03-14 04:42 UTC by Sam Fowler
Modified: 2019-09-29 14:35 UTC (History)
4 users (show)

Fixed In Version: exempi 2.4.5
Doc Type: If docs needed, set a value
Doc Text:
An integer wraparound, leading to a buffer overflow, was found in Exempi in the way it handles Adobe Photoshop Images. An attacker could exploit this to cause a denial of service via a crafted image file.
Clone Of:
Environment:
Last Closed: 2019-08-06 19:18:29 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2048 None None None 2019-08-06 12:07:19 UTC

Description Sam Fowler 2018-03-14 04:42:35 UTC
Exempi through version 2.4.4 is vulnerable to a integer wraparound that can lead
to a heap-based buffer overflow in PSD_MetaHandler::CacheFileData() method in
XMPFiles/source/FormatSupport/PSIR_FileWriter.cpp. An attacker could exploit
this to cause a denial of service via crafted xls file.


Upstream Bug Report:
https://bugs.freedesktop.org/show_bug.cgi?id=105204


Upstream Patch:
https://cgit.freedesktop.org/exempi/commit/?id=6cbd34025e5fd3ba47b29b602096e456507ce83b

Comment 2 Sam Fowler 2018-03-14 05:19:46 UTC
Created exempi tracking bugs for this issue:

Affects: fedora-all [bug 1555156]

Comment 6 errata-xmlrpc 2019-08-06 12:07:18 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2048 https://access.redhat.com/errata/RHSA-2019:2048

Comment 7 Product Security DevOps Team 2019-08-06 19:18:29 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-7730


Note You need to log in before you can comment on or make changes to this bug.